Subject: Re: 24.1.50; NS regression: fallback font used even when glyph available in primary font

From: Steve Purcell <[email-masked]>
Date: Wed, 5 Sep 2012 14:38:50 +0100

Hah! I think I made progress. I believe the commit to which you (David) referred is basically helpful, in that it more correctly catalogues the various character ranges.

On a whim, I tried adding a "set-fontset-font" call to my usual font setup, as shown below:

  (set-fontset-font "fontset-default" 'symbol "PragmataPro")
  (set-face-attribute 'default nil :foundry "apple" :family "PragmataPro" :height 140)

And that actually causes Emacs to use the default font for both the "GREEK SMALL LETTER LAMDA" and "EMPTY SET" characters. 

I guess that in the absence of this line, Emacs asks the system for a font which supports the "symbol" character range, without first trying the default font.

As for why Menlo works like this out of the box and the other fonts don't, that's still a mystery to me.

-Steve